package org.jeecg.modules.stm.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.stm.common.vo.DutyVo;
import org.jeecg.modules.stm.common.vo.QueryVo;
import org.jeecg.modules.stm.common.vo.StMenuVo;


import java.util.List;
import java.util.Map;

/**
 * @Author: yzh
 * @Date 2023/4/2 18:20
 * @Description:
 */
public interface IStCommonService {
    Map<String, StMenuVo> statistics();

    Map<String, Long> statisticsByCaNo(String caNo);

    Map<String, Long> statisticsByComplianceNo(String complianeNo);

    IPage<QueryVo> queryCommonByPage(IPage<QueryVo> page, QueryVo queryVo);

    IPage<DutyVo> queryDutyVoByPage(Page<DutyVo> page, DutyVo queryVo);

    public DutyVo queryDutyByCode(String code);

    Map<String, StMenuVo> statisticsProject();
    List<QueryVo> queryCommonAll(QueryVo queryVo);
    //List<EsQueryFileVo> queryAllFile(EsQueryFileVo queryVo);

    List<QueryVo> queryAllLibData(QueryVo queryVo);

}
